package Services.Simulation;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
@SpringBootApplication
public class SimulationApplication {
	
	private  double ValeurTemp;
	private  double ValeurHum;
	private  int ValeurCO2 ;
	private  boolean ValeurMouv;
	
	
	
	public SimulationApplication(){
		this.ValeurCO2= simC02();
		this.ValeurHum = simHum();
		this.ValeurMouv = simMouv();
		this.ValeurTemp = simTemp();
		
				
	}
	
	
	@GetMapping("getValeurTemp/")
	public double getValeurTemp() {
		return ValeurTemp;
	}
	@GetMapping("getValeurHum/")
	public double getValeurHum() {
		return ValeurHum;
	}
	@GetMapping("getValeurCO2/")
	public int getValeurCO2() {
		return ValeurCO2;
	}
	@GetMapping("getValeurMouv/")
	public boolean getValeurMouv() {
		return ValeurMouv;
	}
	@GetMapping("setValeurHum/")
	public void setValeurHum (double valeur) {
		this.ValeurHum = valeur;
	}
	@GetMapping("setValeurCO2/")
	public void setValeurCO2 (int valeur) {
		this.ValeurCO2 = valeur;
	}
	@GetMapping("setValeurMouv/")
	public void setValeurMouv (boolean valeur) {
		this.ValeurMouv = valeur;
	}
	@GetMapping("setValeurTemp/")
	public void setValeurTemp (double valeur) {
		this.ValeurTemp = valeur;
	}

	@GetMapping("simTemp/")
	public double simTemp() {

		return (Math.random() * 40);

	}
	@GetMapping("simHum/")
	public double simHum() {

		return (Math.random() * 100);

	}
	@GetMapping("simCO2/")
	public int simC02() {

		return ((int)Math.random() * 2000);

	}
	@GetMapping("simMouv/")
	public boolean simMouv() {
		double rand = Math.random() * (20 - 10);
		if (rand > 15) {
			return true;
		} else {
			return false;
		}

	}
	
	public static void main(String[] args) {
		SpringApplication.run(SimulationApplication.class, args);
		
		
	}
	
	
	
	
}
